<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: horoszkop.php
| Title: Horoszkp Inf
| Version: 1.2.0
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once THEMES."templates/header.php";

include_once INFUSIONS."horoszkop_inf_panel/infusion_db.php";

require_once HSC_INC."set.php";
require_once HSC_INC."copy.php";

if (file_exists(HSC."locale/".$settings['locale'].".php")) {
	include HSC."locale/".$settings['locale'].".php";
} else {
	include HSC."locale/Hungarian.php";
}

if (iSUPERADMIN && $ConHsc['licenc'] == '0') {
	opentable("Horoszkp Inf");
		require_once HSC_INC."copy.php";
		echo "<div style='text-align:center;'>Mg nem fogadtad el a Licenszt.</div>";
		echo "<div style='text-align:center;'><a href='".HSC_A."admin.php".$aidlink."'>Adminisztrci.</a></div>";
		BltfmCopyHsc();
	closetable();
} else
if (!iSUPERADMIN && $ConHsc['licenc'] == '0') {
	opentable("Horoszkp Inf");
		echo "<div style='text-align:center;'>Mg nem fogadtk el a Licenszt a Horoszkp Inf hasznlathoz.</div>";
		BltfmCopyHsc();
	closetable();
} else {

	add_to_head("<link rel='stylesheet' href='".HSC."css/scope_styles.css' type='text/css' media='screen' />\n");

	$css_num = 0;
	switch ($SetHsc['hs_img']) {
		case 0: $css_num = 0; break;
		case 1: $css_num = 1; break;
		case 2: $css_num = 2; break;
	}
	add_to_head("<link rel='stylesheet' href='".HSC."css/scope_img".$css_num."_styles.css' type='text/css' media='screen' />\n");

	$hs_hscope = (!isset($_GET['hscope']) ? $SetHsc['hs_hscope'] : stripinput($_GET['hscope']));

	$panel_title = $title[$hs_hscope]." Horoszkp ".($hs_hscope == 2 ? "- ".$hscope_date_w : "");

	$ID = isset($_GET['id']) && isnum($_GET['id']) ? stripinput($_GET['id']) : "0";

	if (FUSION_SELF == "horoszkop.php" && !isset($_GET['hscope']) && $ID == 0) {
		redirect(HSC."horoszkop.php?hscope=".$hs_hscope);
	}

	require_once HSC_INC."classes/HSC.class.php";
	$HSC = new HSC;

	opentable($panel_title);
		$hs_hscope = isset($_GET['hscope']) && isnum($_GET['hscope']) ? stripinput($_GET['hscope']) : "1";
		$HSC->Hscope_interface($hs_hscope);
	closetable();

}

require_once THEMES."templates/footer.php";

?>