<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: upgrade.php
| Title: Horoszkp Inf
| Version: 1.2.0
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!iMEMBER) {redirect("index.php");}

if (!checkrights("CPOE") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("index.php"); }


include_once INFUSIONS."horoszkop_inf_panel/infusion_db.php";

include HSC_INC."set.php";
include_once HSC_INC."copy.php";

if (file_exists(HSC."locale/".$settings['locale'].".php")) {
	include HSC."locale/".$settings['locale'].".php";
} else {
	include HSC."locale/Hungarian.php";
}

$INF = "horoszkop_inf_panel";
$CON = (isset($ConHsc['ver']) ? $ConHsc['ver'] : "");

function rmdirr($dirname) {
	if (!file_exists($dirname)) { return false; }
	if (is_file($dirname)) { return unlink($dirname); }
	$dir = dir($dirname);
	while (false !== $entry = $dir->read()) {
		if ($entry == '.' || $entry == '..') { continue; }
		rmdirr("$dirname/$entry");
	}
	$dir->close();
	return rmdir($dirname);
}

function mysql_field_exists($table, $field) {
	$fields = dbquery("SHOW COLUMNS FROM ".$table);
	$found = false; $flags = array(); $i = 0;
	if (dbrows($fields)) {
		while($flags = dbarray($fields)) {
			if (in_array($field,$flags)) { $found = true; }
		}
	}
	return $found;
}


if (isset($_GET['update']) && $_GET['update'] == "") {
	$query_update= dbquery("UPDATE ".DB_INFUSIONS." SET inf_version = '1.00' WHERE inf_folder = '".$INF."' ");
	$query_insert_table = dbquery("INSERT INTO ".DB_HOROSZKOP_CONFIG." (ver) VALUES ('1.00')");
	if ($query_update && $query_insert_table) {
		redirect(FUSION_SELF.$aidlink."&amp;updone=1.00");
	} else {
		redirect(FUSION_SELF.$aidlink."&amp;updone=0");
	}
} else
if (isset($_GET['update']) && $_GET['update'] == "1.1.0") {

	rmdirr("../admin/functions.php");
	rmdirr("../admin/menu.php");
	rmdirr("../admin/upgrade.php");
	rmdirr("../includes/updates.class.php");

	$rename = dbquery("RENAME TABLE ".DB_HOROSZKOP_CONFIG." TO ".DB_HSC_SET." ");
	$rename2 = dbquery("RENAME TABLE ".DB_HOROSZKOP_SETTINGS." TO ".DB_HSC_CON." ");

	$alert = dbquery("ALTER TABLE ".DB_HSC_SET." ADD hs_popup tinyint(1) unsigned NOT NULL default '1' ");

	$alert2 = dbquery("ALTER TABLE ".DB_HSC_SET." CHANGE hc_id hs_id mediumint(8) unsigned NOT NULL AUTO_INCREMENT ");
	$alert3 = dbquery("ALTER TABLE ".DB_HSC_SET." CHANGE hc_active hs_active tinyint(1) unsigned NOT NULL default '1' ");
	$alert4 = dbquery("ALTER TABLE ".DB_HSC_SET." CHANGE hc_hscope hs_hscope tinyint(1) unsigned NOT NULL default '1' ");
	$alert5 = dbquery("ALTER TABLE ".DB_HSC_SET." CHANGE hc_color hs_color varchar(6) NOT NULL default '555555' ");
	$alert6 = dbquery("ALTER TABLE ".DB_HSC_SET." CHANGE hc_fsize hs_fsize tinyint(2) unsigned NOT NULL default '13' ");
	$alert7 = dbquery("ALTER TABLE ".DB_HSC_SET." CHANGE hc_access hs_access tinyint(3) unsigned NOT NULL default '0' ");
	$alert8 = dbquery("ALTER TABLE ".DB_HSC_SET." CHANGE hc_menu hs_menu tinyint(2) unsigned NOT NULL default '12' ");
	$alert9 = dbquery("ALTER TABLE ".DB_HSC_SET." CHANGE hc_img hs_img tinyint(1) unsigned NOT NULL default '0' ");
	$alert10 = dbquery("ALTER TABLE ".DB_HSC_SET." CHANGE hc_view hs_view int(10) unsigned NOT NULL default '0' ");
	$alert11 = dbquery("ALTER TABLE ".DB_HSC_SET." CHANGE hc_up hs_up int(10) unsigned NOT NULL default '0' ");
	$alert12 = dbquery("ALTER TABLE ".DB_HSC_SET." CHANGE hc_up_w hs_up_w int(10) unsigned NOT NULL default '0' ");
	$alert13 = dbquery("ALTER TABLE ".DB_HSC_SET." CHANGE hc_bux hs_bux tinyint(1) unsigned NOT NULL default '1' ");
	$alert14 = dbquery("ALTER TABLE ".DB_HSC_CON." CHANGE hs_id hc_id mediumint(8) unsigned NOT NULL AUTO_INCREMENT ");

	$update= dbquery("UPDATE ".DB_HSC_CON." SET licenc = '0', info = '0' WHERE hc_id = '1' ");

	$query_update= dbquery("UPDATE ".DB_INFUSIONS." SET inf_version = '1.1.0' WHERE inf_folder = '".$INF."' ");
	$query_update2= dbquery("UPDATE ".DB_HSC_CON." SET ver = '1.1.0' WHERE hc_id = '1' ");

	if ($query_update && $query_update2) {
		redirect(FUSION_SELF.$aidlink."&amp;updone=1.1.0");
	} else {
		redirect(FUSION_SELF.$aidlink."&amp;updone=0");
	}

} else
if (isset($_GET['update']) && $_GET['update'] == "1.2.0") {
	$query_update= dbquery("UPDATE ".DB_INFUSIONS." SET inf_version = '1.2.0' WHERE inf_folder = '".$INF."' ");
	$query_update2= dbquery("UPDATE ".DB_HSC_CON." SET ver = '1.1.0' WHERE hc_id = '1' ");
	if ($query_update && $query_update2) {
		redirect(FUSION_SELF.$aidlink."&amp;updone=1.2.0");
	} else {
		redirect(FUSION_SELF.$aidlink."&amp;updone=0");
	}
} else

$referer_version ="";

if (isset($_GET['updone']) && str_replace(".","",$_GET['updone']) > 1) {
	opentable($locale['up00']." - ".$locale['up01']."".$CON);
	echo sprintf($locale['up02'], $_GET['updone'])."<br />\n<a href='".FUSION_SELF.$aidlink."'>".$locale['up03']."</a>";
	closetable();
} else
if (isset($_GET['updone']) && $_GET['updone'] == "0") {
	opentable($locale['up00']." - ".$locale['up01']."".$CON);
	echo sprintf($locale['up04'] , $_GET['updone'])."<br />\n<a href='".FUSION_SELF.$aidlink."'>".$locale['up03']."</a>";
	closetable();
}


if ($CON == "") {
	opentable($locale['up00']." - ".$locale['up01']."".$CON);
	echo "<b>".$locale['up05']."</b><br />\n<a href='".FUSION_SELF.$aidlink."&amp;update=1.0.0'>".sprintf($locale['up05a'], "v1.0.0")."</a>";
	closetable();
} else
if ($CON == "1.0.0") {
	opentable($locale['up00']." - ".$locale['up01']."".$CON);
	echo "<b>".$locale['up05']."</b><br />\n<a href='".FUSION_SELF.$aidlink."&amp;update=1.1.0'>".sprintf($locale['up05a'], "v1.1.0")."</a>";
	closetable();
} else
if ($CON == "1.1.0") {
	opentable($locale['up00']." - ".$locale['up01']."".$CON);
	echo "<b>".$locale['up05']."</b><br />\n<a href='".FUSION_SELF.$aidlink."&amp;update=1.2.0'>".sprintf($locale['up05a'], "v1.2.0")."</a>";
	closetable();
} else {


	$ausgabe = "";

	opentable($locale['up00']." - ".$locale['up01']."".$CON);

	if (ini_get('allow_url_fopen') != false) {

		include_once HSC_INC."classes/updates.class.php";
		$version_new = $Updates->up("http://www.bltfm.hu/upgrade/".$INF."/inf.txt");

		if (preg_match("/^[0-9.]+$/", $version_new)) {

			if (version_compare($version_new, $CON, ">")) {

				if (!empty($version_new)) {
					$ausgabe .= "<table style=\"background-color: #FFFFFF;\">\n<tr>\n<td><img src='".IMAGES."upgrade/version_old.gif' alt='' title='' border='0' /></td>\n<td>";
					$ausgabe .= "<span style=\"font-weight: bold; color: red;\">".$locale['up07']."".$CON."</span></td>\n</tr>\n";
					$ausgabe .= "<tr>\n<td> </td>\n<td><span style=\"font-weight: bold; color: #1bdc16;\">".$locale['up08']."".$version_new."</span><br />\n";
					$ausgabe .= "<span style=\"font-weight: bold; \">".$locale['up09']."</span><a href='http://www.bltfm.hu/upgrade/".$INF."/atiranyito.php' target='_blank' title='http://www.bltfm.hu/'><span style='font-weight: bold;'>".$locale['up09a']."</span></a>";
					$ausgabe .= "</td>\n</tr>\n</table>\n";
				}

			} else {
				$ausgabe .= "<table style=\"background-color: #FFFFFF;\">\n<tr>\n<td><img src='".IMAGES."upgrade/version.gif' alt='' title='' border='0' /></td>\n";
				$ausgabe .= "<td><span style=\"font-weight: bold; color: #1bdc16;\">".$locale['up06']."".$CON."</span></td>\n</tr>\n</table>\n";
			}

		} else {
			$version_new = "";
			$ausgabe .= "<table class='tbl1' style='color:red; font-weight:bold; border:1px solid #000000; backgorund-color:#ffffff; padding:4px; margin:5px; width:250px;'>\n<tr>\n<td>A verzi ellenrzs nem sikerlt!</td>\n</tr>\n<tr>\n<td>Keressd fel a fejlesztt <a href='http://www.bltfm.hu/' target='_blank' title='http://www.bltfm.hu/'><span style='font-weight: bold;'>itt</span></a></td>\n</tr>\n</table>\n";
		}

	} else {

		$ausgabe .= "<table class='tbl1' style='color:red; font-weight:bold; border:0px solid #000000; backgorund-color:#ffffff; padding:4px; margin:5px; width:600px;'>\n";
		$ausgabe .= "<tr>\n<td>".$locale['up11']."</td>\n</tr>\n";
		$ausgabe .= "<tr>\n<td><span style=\"font-weight: bold; color: red;\">".$locale['up07']."".$CON."</span></td>\n</tr>\n";
		$ausgabe .= "<tr>\n<td>".$locale['up06']."&nbsp;";
		$ausgabe .= "<iframe id='up' src='http://www.bltfm.hu/upgrade/".$INF."/inf.txt' style='width:80px; height:40px;margin-bottom:-20px;' frameborder='0' scrolling='auto'><p>Az n bngszje nem tmogatja az iframe-t.</p></iframe>";
		$ausgabe .= "<br />\n";
		$ausgabe .= "".$locale['up12']."&nbsp;<a href=\"http://bltfm.hu/upgrade/".$INF."/fsockopen_nincs.php\" target=\"_blank\" title='http://www.bltfm.hu/'><span style=\"font-weight: bold; \">".$locale['up10']."</span></a></td>\n</tr>\n</table>\n";
	}

	echo "<div align='left' style='width: 100%'>".$ausgabe."</div>\n";

	closetable();

}

?>