<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: horoszkop_side_panel.php
| Title: Horoszkp Inf
| Version: 1.2.0
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

# v1.00
$HSC_INF = dbquery("SHOW TABLES LIKE '".DB_PREFIX."horoszkop_config' ");
if (dbrows($HSC_INF) == 1) {
	if (!defined("DB_HOROSZKOP_SETTINGS")) {
		define("DB_HOROSZKOP_SETTINGS", DB_PREFIX."horoszkop_settings");
	}
	if (!defined("DB_HOROSZKOP_CONFIG")) {
		define("DB_HOROSZKOP_CONFIG", DB_PREFIX."horoszkop_config");
	}
}
# v1.1.0
if (!defined("DB_HSC_SET")) {
	define("DB_HSC_SET", DB_PREFIX."hsc_set");
}
if (!defined("DB_HSC_CON")) {
	define("DB_HSC_CON", DB_PREFIX."hsc_con");
}
if (!defined('HSC')) {
	define("HSC", INFUSIONS."horoszkop_inf_panel/");
}
if (!defined('HSC_A')) {
	define("HSC_A", INFUSIONS."horoszkop_inf_panel/admin/");
}
if (!defined('HSC_INC')) {
	define("HSC_INC", INFUSIONS."horoszkop_inf_panel/includes/");
}
if (!defined('HSC_IMG')) {
	define("HSC_IMG", INFUSIONS."horoszkop_inf_panel/images/");
}
if (!defined('HSCS')) {
	define("HSCS", INFUSIONS."horoszkop_inf_side_panel/");
}
$neogold = "aHR0cCUzQS8vd3d3LmJsdGZtLmh1L2luZnVzaW9ucy9uZW9nb2xkX2luZl9wYW5lbC9uZW9nb2xkX2hlbHAucGhw";
$bux = "aHR0cDovL3d3dy5uZW9idXguY29tL20vci8/cmg9NDI2MTc0NzQ2QzY1NDM=";
$hscope_name = array("", "Kos", "Bika", "Ikrek", "Rk", "Oroszln", "Szz", "Mrleg", "Skorpi", "Nyilas", "Bak", "Vznt", "Halak");
$hscope_css = array("", "kos", "bika", "ikrek", "rak", "oroszlan", "szuz", "merleg", "skorpio", "nyilas", "bak", "vizonto", "halak");
$hscope_date_d = array("", "III.21. - IV.19.", "IV.20. - V.20.", "V.21. - VI.21.", "VI.22. - VII.22.", "VII.23. - VIII.22.", "VIII.23. - IX.22.", "IX.23. - X.22.", "X.23. - XI.21.", "XI.22. - XII.21.", "XII.22. - I.19.", "I.20. - II.18.", "II.19. - III.20.");
$h_eleme = array("Eleme: ", " a tz", "a fld", "a leveg", "a vz", " a tz", "a fld", "a leveg", "a vz", "a tz", "a fld", "a leveg", "a vz");
$h_stabilitasa = array("Stabilitsa: ", "kardinlis", "szilrd", "vltoz", "kardinlis", "szilrd", "vltoz", "kardinlis", "szilrd", "vltoz", "kardinlis", "szilrd", "vltoz");
$h_bolygoja = array("Bolygja: ", "a Mars", "a Vnusz", "a Merkr", "a Hold", "a Nap", "a Merkr", "a Vnusz", "a Plt s a Mars", "a Jupiter", "a Szaturnusz", "a Urnusz", "a Neptunusz s a Jupiter");
$h_polaritasa = array("Polaritsa: ", "pozitv", "negatv", "pozitv", "negatv", "pozitv", "negatv", "pozitv", "negatv", "pozitv", "negatv", "pozitv", "negatv");
$title = array("", "Napi", "Heti", "Szerelmi");
$hscope_month = array("", "januar", "februar", "marcius", "aprilis", "majus", "junius", "julius", "augusztus", "szeptember", "oktober", "november", "december");

$most = time()+$settings['timeoffset']*3600;
$ev = date("Y", $most);
$ho = date("n", $most);
$nap = date("j", $most);
$date = $ev."-".$ho."-".$nap;
$unixtime = strtotime($date);
$het_napja = date("w", $unixtime);
if($het_napja != 1) {
	$unixtime -= ($het_napja ? $het_napja-1 : 6)*86400;
}
$het_array = array();
$het_array[0] = "";
$het_array[1] = $unixtime;
$het_array[2] = $unixtime+518400;
$hscope_date_w = date("m.d", $het_array[1])." - ".date("m.d", $het_array[2]);
$heti_updathoz = date("Y", $het_array[1])."-".$hscope_month[date("n", $het_array[1])]."-".date("d", $het_array[1])."-".date("Y", $het_array[2])."-".$hscope_month[date("n", $het_array[2])]."-".date("d", $het_array[2]);

?>