<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_hscope_include.php
| Title: Horoszkp Inf
| Version: 1.2.0
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."horoszkop_inf_panel/infusion_db.php";

require HSC_INC."set.php";
require_once HSC_INC."copy.php";

if (file_exists(HSC."locale/".$settings['locale'].".php")) {
	include HSC."locale/".$settings['locale'].".php";
} else {
	include HSC."locale/Hungarian.php";
}

add_to_head("<link rel='stylesheet' href='".HSC."css/scope_styles.css' type='text/css' media='screen' />\n");

$css_num = 0;
switch ($SetHsc['hs_img']) {
	case 0: $css_num = 0; break;
	case 1: $css_num = 1; break;
	case 2: $css_num = 2; break;
}
add_to_head("<link rel='stylesheet' href='".HSC."css/scope_img".$css_num."_styles.css' type='text/css' media='screen' />\n");


/*/ Display user field input*/
if ($profile_method == "input") {

	if (isset($user_data['user_hscope']) && $user_data['user_hscope'] != "0") {
		$user_hscope = $user_data['user_hscope'];
	} else {
		$user_hscope = "0";
	}

	echo "<tr>\n";
		echo "<td class='tbl".$this->getErrorClass("user_hscope")."'>";
			echo "<label for='user_hscope_input'>".$locale['uf_hscope'].$required." <span class='small2'></span></label></td>\n";
		echo "<td class='tbl".$this->getErrorClass("user_hscope")."'>";
			echo "<select id='user_hscope_input' name='user_hscope' class='textbox'>\n<option value=''>Vlassz</option>\n";
				for ($bi = 1; $bi <= 12; $bi++) { echo "<option value='".$bi."'".(iMEMBER ? ($user_hscope == $bi ? " selected='selected'" : "") : "heee").">".$hscope_name[$bi]."</option>\n"; }
			echo "</select>\n";
		echo "</td>\n";
	echo "</tr>\n";


	if ($required) {
		$this->setRequiredJavaScript("user_hscope", $locale['uf_hscope_error']);
	}

/* Display in profile*/
} else
if ($profile_method == "display") {

	if ($user_data['user_hscope'] == 5) {
		$class = "scope_name_menu_leo";
	} else
	if ($user_data['user_hscope'] == 8) {
		$class = "scope_name_menu_sco";
	} else
	if ($user_data['user_hscope'] == 11) {
		$class = "scope_name_menu_aqu";
	} else {
		$class = "scope_name_menu";
	}

	if ($user_data['user_hscope'] != "0") {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_hscope']."</td>\n";
		echo "<td align='right' class='tbl1'>";
			echo "<a class='hide_img1 scope_img_link' href='".HSC."horoszkop.php?id=".$user_data['user_hscope']."#".$hscope_css[$user_data['user_hscope']]."' title='".$hscope_name[$user_data['user_hscope']]."'>";
				echo "<span class='img_scope col_".$hscope_css[$user_data['user_hscope']]."'>&nbsp;</span>";
				echo "<span class='".$class."'>".$hscope_name[$user_data['user_hscope']]."</span>";
			echo "</a>";
		echo "</td>\n";
		echo "</tr>\n";
	}

/* Insert and update*/
} else
if ($profile_method == "validate_insert" || $profile_method == "validate_update") {

	/* Get input data*/
	$user_hscope = 0;
	if (isset($_POST['user_hscope']) && isnum($_POST['user_hscope']) && $_POST['user_hscope'] != 0) {
		$user_hscope = $_POST['user_hscope'];
	}

	if (($user_hscope != 0) || $this->_isNotRequired("user_hscope")) {
		/* Set update or insert user data*/
		$this->_setDBValue("user_hscope", $user_hscope);
	} else {
		$this->_setError("user_hscope", $locale['uf_hscope_error'], true);
	}

}

?>