<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: horoszkop_inf_panel.php
| Title: Horoszkp Inf
| Version: 1.2.0
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

include_once INFUSIONS."horoszkop_inf_panel/infusion_db.php";

require_once HSC_INC."set.php";
require_once HSC_INC."copy.php";

if (file_exists(HSC."locale/".$settings['locale'].".php")) {
	include HSC."locale/".$settings['locale'].".php";
} else {
	include HSC."locale/Hungarian.php";
}

if (iSUPERADMIN && $ConHsc['licenc'] == '0') {
	opentable("Horoszkp Inf");
		require_once HSC_INC."copy.php";
		echo "<div style='text-align:center;'>Mg nem fogadtad el a Licenszt.</div>";
		echo "<div style='text-align:center;'><a href='".HSC_A."admin.php".$aidlink."'>Adminisztrci.</a></div>";
		BltfmCopyHsc();
	closetable();
} else
if (!iSUPERADMIN && $ConHsc['licenc'] == '0') {
	opentable("Horoszkp Inf");
		echo "<div style='text-align:center;'>Mg nem fogadtk el a Licenszt a Horoszkp Inf hasznlathoz.</div>";
		BltfmCopyHsc();
	closetable();
} else {

	add_to_head("<link rel='stylesheet' href='".HSC."css/scope_styles.css' type='text/css' media='screen' />\n");

	$css_num = 0;
	switch ($SetHsc['hs_img']) {
		case 0: $css_num = 0; break;
		case 1: $css_num = 1; break;
		case 2: $css_num = 2; break;
	}
	add_to_head("<link rel='stylesheet' href='".HSC."css/scope_img".$css_num."_styles.css' type='text/css' media='screen' />\n");

	add_to_head("<script type='text/javascript'>
		/*<![CDATA[*/
		var win = null;
		function NewWindow(mypage,myname,w,h,scroll){
			LeftPosition = (screen.width) ? (screen.width-w)/2 : 0;
			TopPosition = (screen.height) ? (screen.height-h)/2 : 0;
			settings = 'height='+h+',width='+w+',top='+TopPosition+',left='+LeftPosition+',scrollbars='+scroll+',resizable'
			win = window.open(mypage,myname,settings)
		}
		/*]]>*/
	</script>\n");

	$panel_title = "Horoszkp";

	require_once HSC_INC."classes/HSC.class.php";
	$HSC = new HSC;

	opentable($panel_title);
		$HSC->Hscope_cpanel();
	closetable();

}

?>