<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: horoszkop_popup.php
| Title: Horoszkp Inf
| Version: 1.2.0
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

#require_once THEMES."templates/header.php";
require_once INCLUDES."output_handling_include.php";
require_once INCLUDES."header_includes.php";
require_once THEME."theme.php";
require_once THEMES."templates/render_functions.php";

include_once INFUSIONS."horoszkop_inf_panel/infusion_db.php";

require_once HSC_INC."set.php";
require_once HSC_INC."copy.php";

if (file_exists(HSC."locale/".$settings['locale'].".php")) {
	include HSC."locale/".$settings['locale'].".php";
} else {
	include HSC."locale/Hungarian.php";
}

$hs_hscope = isset($_GET['hscope']) && isnum($_GET['hscope']) ? $_GET['hscope'] : "1";

$panel_title = $title[$hs_hscope]." Horoszkp ".($hs_hscope == 2 ? "- ".$hscope_date_w : "");

echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>\n";
echo "<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='".$locale['xml_lang']."' lang='".$locale['xml_lang']."'>\n";
echo "<head>\n<title>".$settings['sitename']." - ".$panel_title."</title>\n";
echo "<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."' />\n";
echo "<meta name='description' content='".$settings['description']."' />\n";
echo "<meta name='keywords' content='".$settings['keywords']."' />\n";
echo "<link rel='stylesheet' href='".THEME."styles.css' type='text/css' media='screen' />\n";
if (file_exists(IMAGES."favicon.ico")) { echo "<link rel='shortcut icon' href='".IMAGES."favicon.ico' type='image/x-icon' />\n"; }
if (function_exists("get_head_tags")) { echo get_head_tags(); }
echo "<script type='text/javascript' src='".INCLUDES."jquery/jquery.js'></script>\n";
echo "<script type='text/javascript' src='".INCLUDES."jscript.js'></script>\n";

echo "<link rel='stylesheet' href='".HSC."css/scope_styles.css' type='text/css' media='screen' />\n";

$css_num = 0;
switch ($SetHsc['hs_img']) {
	case 0: $css_num = 0; break;
	case 1: $css_num = 1; break;
	case 2: $css_num = 2; break;
}
echo "<link rel='stylesheet' href='".HSC."css/scope_img".$css_num."_styles.css' type='text/css' media='screen' />\n";

echo "</head>\n<body>\n";

if (iSUPERADMIN && $ConHsc['licenc'] == '0') {
	opentable("Horoszkp Inf");
		require_once HSC_INC."copy.php";
		echo "<div style='text-align:center;'>Mg nem fogadtad el a Licenszt.</div>";
		echo "<div style='text-align:center;'><a href='".HSC_A."admin.php".$aidlink."'>Adminisztrci.</a></div>";
		BltfmCopyHsc();
	closetable();
} else
if (!iSUPERADMIN && $ConHsc['licenc'] == '0') {
	opentable("Horoszkp Inf");
		echo "<div style='text-align:center;'>Mg nem fogadtk el a Licenszt a Horoszkp Inf hasznlathoz.</div>";
		BltfmCopyHsc();
	closetable();
} else {

	$hsc = isset($_GET['id']) && isnum($_GET['id']) ? stripinput($_GET['id']) : "0";

	opentable($panel_title);
		require HSC_INC."classes/HSC.class.php";
		$HSC = new HSC;
		$HSC->Hscope_popupinterface($hs_hscope, $hsc);
	closetable();

}

echo "<div style='display: block; height: 10px; clear: both; visibility: hidden;'></div>\n";
echo "<div style='text-align:center;'>\n";
	echo "<form action=''>\n";
		echo "<input type='button' value='Ablak bezrsa' onClick='window.close()' class='button' />\n";
	echo "</form>\n";
echo "</div>\n";


echo "</body>\n";
echo "</html>\n";

?>