<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: HSC.class.php
| Title: Horoszkp Inf
| Version: 1.2.0
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }


class HSC {


	public $_html = "";


	private function Hscope_up($tabs) {

		global $SetHsc;

		$show = 0;

		if ($tabs == 1) {
			$szoveg = "Napi";$field = "hs_up";
			$next_scope_day = mktime(0,0,0,date("m"),showdate("%d", strtotime('next day')),date("Y"));
			if ($SetHsc['hs_up'] == 0 || time() > $SetHsc['hs_up']) {
				$show = 1;
				$scope_date = mktime(0,0,0,showdate("%m", strtotime('next day')),showdate("%d", strtotime('next day')),showdate("%Y", strtotime('next day')));
			} else {
				$show = 0;
			}
		} else
		if ($tabs == 2) {
			$szoveg = "Heti";$field = "hs_up_w";
			if ($SetHsc['hs_up_w'] == 0 || time() > $SetHsc['hs_up_w']) {
				$show = 1;
				$scope_date = mktime(0,0,0,showdate("%m", strtotime('next monday')),showdate("%d", strtotime('next monday')),showdate("%Y", strtotime('next monday')));
			} else {
				$show = 0;
			}
		} else
		if ($tabs == 3) {
			$szoveg = "Szerelmi";$field = "hs_up_l";
			if ($SetHsc['hs_up_l'] == 0 || time() > $SetHsc['hs_up_l']) {
				$show = 1;
				$ho = date("m")+1;
				$scope_date = mktime(0,0,0,$ho,1,date("Y"));
			} else {
				$show = 0;
			}
		}

		echo "<div style='display: block; height: 5px; visibility: hidden;'></div>\n";

		if ($show == 1) {
			echo "<iframe id='iframe' src='http://www.bltfm.hu/infusions/horoszkop_inf_panel/iframe/scope_iframe.php?period=".$tabs."' style='width:0px;height:0px;' frameborder='0' scrolling='auto'><p>Az n bngszje nem tmogatja az iframe-t.</p></iframe>";
			$mto = 1;$mfrom = 1;$ok = 1;$subject = $szoveg." Horoszkp inf adatbzis frissts.";
			if ($ok == 1) {
				$message = $szoveg." adatbzis frissts sikeres volt. (".showdate("%Y.%m.%d %H:%M", time()).")";
			} else {
				$message = $szoveg." adatbzis frissts sikertelen volt. (".showdate("%Y.%m.%d %H:%M", time()).")";
			}

			if ($SetHsc['hs_pu'] == 1) {
				$kuld = dbquery("INSERT INTO ".DB_MESSAGES." (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) VALUES('".$mto."', '".$mfrom."', '".$subject."', '".$message."', 'y', '0', '".time()."', '0')");
			}
			$update = dbquery("UPDATE ".DB_HSC_SET." SET ".$field." = '".$scope_date."' ");
			echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
			echo "<tr>\n";
			echo "<td align='center'>\n";
			echo $message;
			echo "</td>\n";
			echo "</tr>\n";
			echo "</table>\n";
			echo "<div style='display: block; height: 5px; visibility: hidden;'></div>\n";
		}

	}

	private function Hscope_visuals($tabs) {

		global $SetHsc, $hscope_date_d, $hscope_css, $hscope_name, $het_array, $bux, $h_eleme, $h_stabilitasa, $h_bolygoja, $h_polaritasa, $hsc, $settings, $ID;

		if (isset($_GET['hscope']) && isnum($_GET['hscope'])) {
			$tabs = stripinput($_GET['hscope']);
		}

		$this->Hscope_up($tabs);

		if ($SetHsc['hs_active'] == 1) {

			if (checkgroup($SetHsc['hs_access'])) {

				if (!FUSION_QUERY) {
					$update = dbquery("UPDATE ".DB_HSC_SET." SET hs_view=hs_view+1 WHERE hs_id='1' ");
				}

				if (!isset($_GET['scope_more'])) {

						echo "<div style='display: block;' class='scope_table1'>\n";
						echo "<table cellpadding='0' cellspacing='0' width='100%' border='0'>\n";

						$counter = 0; $columns = 1; $hsc = 1;
						while ($hsc <= count($hscope_date_d)-1) {

							if ($counter != 0 && ($counter % $columns == 0)) {
								if ($counter == 1) {
									$colspan = 2;
								} else {
									$colspan = $counter;
								}
								echo "</tr>\n<tr>\n";
							}

							$img_date = "<a name='".$hscope_css[$hsc]."' id='".$hscope_css[$hsc]."' href='#' style='position:relative; top:-100px;'></a><a class='hide_img1' href='#top' title='Fel'><span class='img_scope1 ".($hsc == $ID ? "col_".$hscope_css[$hsc]."" : "".$hscope_css[$hsc]."")."'>&nbsp;</span><span class='".($hsc == 5 ? "scope_name_leo" : "scope_name")."'>".$hscope_name[$hsc]."</span></a>";
							$jellemzes = "";
							$jellemzes .= "<a class='".($hsc == $ID ? "a_link" : "hide_img")."' href='#top' title='Fel'><span class='scope_jel'>".$hscope_name[$hsc]." jellemzse</span></a>";
							$jel_size = "";
							$jel_size2 = "";
							$jellemzes .= "<table cellpadding='3' cellspacing='0' width='35%' border='0'>\n";
							$jellemzes .= "<tr>\n";
							$jellemzes .= "<td colspan='2' align='center' ".$jel_size." style='font-size:12px;font-weight: bold;text-decoration: underline;'>".$hscope_date_d[$hsc]."</td>\n";
							$jellemzes .= "</tr>\n";
							$jellemzes .= "<tr>\n";
							$jellemzes .= "<td align='left' ".$jel_size.">".$h_eleme[0]."</td>\n";
							$jellemzes .= "<td align='right' style='white-space:nowrap;".$jel_size2."'><b>".$h_eleme[$hsc]."</b></td>\n";
							$jellemzes .= "</tr>\n";
							$jellemzes .= "<tr>\n";
							$jellemzes .= "<td align='left' ".$jel_size.">".$h_stabilitasa[0]."</td>\n";
							$jellemzes .= "<td align='right' style='white-space:nowrap;".$jel_size2."'><b>".$h_stabilitasa[$hsc]."</b></td>\n";
							$jellemzes .= "</tr>\n";
							$jellemzes .= "<tr>\n";
							$jellemzes .= "<td align='left' ".$jel_size.">".$h_bolygoja[0]."</td>\n";
							$jellemzes .= "<td align='right' style='white-space:nowrap;".$jel_size2."'><b>".$h_bolygoja[$hsc]."</b></td>\n";
							$jellemzes .= "</tr>\n";
							$jellemzes .= "<tr>\n";
							$jellemzes .= "<td align='left' ".$jel_size.">".$h_polaritasa[0]."</td>\n";
							$jellemzes .= "<td align='right' style='white-space:nowrap;".$jel_size2."'><b>".$h_polaritasa[$hsc]."</b></td>\n";
							$jellemzes .= "</tr>\n";
							$jellemzes .= "</table>\n";
							$bovebben = "";
							$height = 110;
							if (strlen($SetHsc['hs_fsize']) == 2) {
								if ($SetHsc['hs_fsize'] < 13 || $SetHsc['hs_fsize'] == 13) {
									$height = 110;
								} else
								if ($SetHsc['hs_fsize'] > 14 && $SetHsc['hs_fsize'] <= 16) {
									$height = 150;
								} else
								if ($SetHsc['hs_fsize'] > 17 && $SetHsc['hs_fsize'] <= 20) {
									$height = 190;
								}
							} else {
								$height = 110;
							}
							if ($tabs == 2 || $tabs == 3) {
								if (strlen($SetHsc['hs_fsize']) == 2) {
									if ($SetHsc['hs_fsize'] < 13 || $SetHsc['hs_fsize'] == 13) {
										$height = 150;
									} else
									if ($SetHsc['hs_fsize'] > 14 && $SetHsc['hs_fsize'] <= 16) {
										$height = 190;
									} else
									if ($SetHsc['hs_fsize'] > 17 && $SetHsc['hs_fsize'] <= 20) {
										$height = 230;
									}
								} else {
									$height = 150;
								}
							}

							echo "<td width='65%' align='center'>";
							echo $img_date."<iframe id='iframe_".$hscope_css[$hsc]."' src='http://www.bltfm.hu/infusions/horoszkop_inf_panel/iframe/scope.php?period=".$tabs."&amp;scope_id=".$hsc."&amp;fsize=".$SetHsc['hs_fsize']."&amp;color=".$SetHsc['hs_color']."&amp;host=".$settings['siteurl']."' style='height:".$height."px;width:100%;top:0px;left:0px;right:0px;bottom:0px' height='".$height."' width='100%' frameborder='0' scrolling='auto'><p>Az n bngszje nem tmogatja az iframe-t.</p></iframe>";
							echo "</td>\n";
							echo "<td width='35%' align='center'>";
							echo $jellemzes.$bovebben;
							echo "</td>\n";
							echo "</tr>\n";
							$hsc++; $counter++;

						}

						if ($SetHsc['hs_bux'] == 1) {
							echo "<tr>\n<td align='center' colspan='".$colspan."'>";
							echo "<div style='display: block; height: 5px; visibility: hidden;'></div>\n";
							echo "<a href='".base64_decode($bux)."' target='_blank'><img src='".HSC_IMG."banner8.gif' width='468' height='60' alt='' /></a>";
							echo "</td>\n</tr>\n";
						}

						echo "<tr>\n<td align='center' colspan='".$colspan."'>";
						echo "<div style='width:100%;float:left;'>\n";
						echo "<div style='float:right;'>".BltfmCopyHsc()."</div>\n";
						echo "</div>\n";
						echo "</td>\n</tr>\n";

					echo "</table>\n";
					echo "</div>\n";

				} else
				if (isset($_GET['scope_more']) && isnum($_GET['scope_more'])) {
					echo "Bvebben, majd egyszer.";
				}

			} else {
				echo "<div style='display: block;' class='scope_table1'>\n";
					if ($SetHsc['hs_bux'] == 1) {
						echo "<div style='display: block; height: 5px; visibility: hidden;'></div>\n";
						echo "<a href='".base64_decode($bux)."' target='_blank'><img src='".HSC_IMG."banner8.gif' width='468' height='60' alt='' /></a>";
					}
					echo "<div style='display: block; height: 5px; visibility: hidden;'></div>\n";
					echo "<div style='float:center;font-weight:bold;'>Ez a rsz csak ".getgroupname($SetHsc['hs_access'])." szmra rhet el.</div>\n";
					echo "<div style='float:right;'>".BltfmCopyHsc()."</div>\n";
				echo "</div>\n";
			}

		} else {
			echo "<div style='display: block;' class='scope_table1'>\n";
				if ($SetHsc['hs_bux'] == 1) {
					echo "<div style='display: block; height: 5px; visibility: hidden;'></div>\n";
					echo "<a href='".base64_decode($bux)."' target='_blank'><img src='".HSC_IMG."banner8.gif' width='468' height='60' alt='' /></a>";
				}
				echo "<div style='display: block; height: 5px; visibility: hidden;'></div>\n";
				echo "<div style='float:center;font-weight:bold;'>Horoszkp jelenleg nem elrhet.</div>\n";
				echo "<div style='float:right;'>".BltfmCopyHsc()."</div>\n";
			echo "</div>\n";
		}

	}

	public function Hscope_interface($ID) {

		global $hscope_css;

		$admin_items = array(
			"horoszkop.php?hscope=1"               => "Napi",
			"horoszkop.php?hscope=2"               => "Heti",
			"horoszkop.php?hscope=3"               => "Szerelmi",
		);


		if (isset($_GET['id']) && isnum($_GET['id'])) {
			$hsid = "&amp;id=".$_GET['id']."#".$hscope_css[$_GET['id']];
		} else {
			$hsid = "";
		}
		echo "<div class='container'>\n";
			echo "<ul class='tabs'>\n";
			foreach($admin_items as $href => $title) {
				if (isset($_GET['hscope'])) {
					if ($ID > 0) {
						$ex_query = explode("&amp;id=", FUSION_QUERY);
						$pos = strpos($href, FUSION_SELF."?".$ex_query[0]);
					} else {
						$pos = strpos($href, FUSION_SELF."?".FUSION_QUERY);
					}
					if ($pos !== false) { $id = " id='selected'"; $class = " class='current'"; } else { $id = ""; $class = ""; }
				}

				echo "<li".$id."".$class."><a href='".$href.$hsid."' style='text-decoration: none;color: #2d2b2b;'>".$title."</a></li>&nbsp;";

			}
			echo "</ul>\n";


			echo "<div id='tab-1' class='tab-content current'>\n";
				$this->Hscope_menu($_GET['hscope']);$this->Hscope_visuals("1");
			echo "</div>\n";
			echo "<div id='tab-2' class='tab-content'>\n";
				$this->Hscope_menu($_GET['hscope']);$this->Hscope_visuals("2");
			echo "</div>\n";
			echo "<div id='tab-3' class='tab-content'>\n";
				$this->Hscope_menu($_GET['hscope']);$this->Hscope_visuals("3");
			echo "</div>\n";
		echo "</div>\n";


		$top_js  = "<script type='text/javascript'>\n";
		$top_js .= "/*<![CDATA[*/\n";
		$top_js .= "jQuery(document).ready(function(){";
		$top_js .= "jQuery('a[href=#top]').click(function(){";
		$top_js .= "jQuery('html, body').animate({scrollTop:0}, 'slow');";
		$top_js .= "return false;";
		$top_js .= "});";
		$top_js .= "});";
		$top_js .= "\n/*]]>*/\n";
		$top_js .= "</script>\n";
		add_to_footer($top_js);

	}

	private function Hscope_popupvisuals($tabs) {

		global $SetHsc, $hscope_date_d, $hscope_css, $hscope_name, $het_array, $bux, $h_eleme, $h_stabilitasa, $h_bolygoja, $h_polaritasa, $hsc, $settings;

		$hs_hscope = isset($_GET['hscope']) && isnum($_GET['hscope']) ? stripinput($_GET['hscope']) : "1";

		if ($SetHsc['hs_active'] == 1) {

			if (checkgroup($SetHsc['hs_access'])) {

				echo "<div style='display: block;' class='scope_table1'>\n";
				echo "<table cellpadding='0' cellspacing='0' width='100%' align='center' border='0'>\n";
					echo "<tr>\n";

				$img_date = "<a name='".$hscope_css[$hsc]."' id='".$hscope_css[$hsc]."' href='#' style='position:relative; top:-100px;'></a><a class='hide_img1' href='#top' title=''><span class='img_scope1 col_".$hscope_css[$hsc]."'>&nbsp;</span><span class='".($hsc == 5 ? "scope_name_leo" : "scope_name")."'>".$hscope_name[$hsc]."</span></a>";

				$jellemzes = "";
				$jellemzes .= "<a class='a_link' href='#top' title=''><span class='scope_jel'>".$hscope_name[$hsc]." jellemzse</span></a>";
				$jel_size = "";
				$jel_size2 = "";

				$jellemzes .= "<table cellpadding='3' cellspacing='0' width='35%' align='center' border='0'>\n";
				$jellemzes .= "<tr>\n";
				$jellemzes .= "<td colspan='2' align='center' ".$jel_size." style='font-size:12px;font-weight: bold;text-decoration: underline;'>".$hscope_date_d[$hsc]."</td>\n";
				$jellemzes .= "</tr>\n";
				$jellemzes .= "<tr>\n";
				$jellemzes .= "<td align='left' ".$jel_size.">".$h_eleme[0]."</td>\n";
				$jellemzes .= "<td align='right' style='white-space:nowrap;".$jel_size2."'><b>".$h_eleme[$hsc]."</b></td>\n";
				$jellemzes .= "</tr>\n";
				$jellemzes .= "<tr>\n";
				$jellemzes .= "<td align='left' ".$jel_size.">".$h_stabilitasa[0]."</td>\n";
				$jellemzes .= "<td align='right' style='white-space:nowrap;".$jel_size2."'><b>".$h_stabilitasa[$hsc]."</b></td>\n";
				$jellemzes .= "</tr>\n";
				$jellemzes .= "<tr>\n";
				$jellemzes .= "<td align='left' ".$jel_size.">".$h_bolygoja[0]."</td>\n";
				$jellemzes .= "<td align='right' style='white-space:nowrap;".$jel_size2."'><b>".$h_bolygoja[$hsc]."</b></td>\n";
				$jellemzes .= "</tr>\n";
				$jellemzes .= "<tr>\n";
				$jellemzes .= "<td align='left' ".$jel_size.">".$h_polaritasa[0]."</td>\n";
				$jellemzes .= "<td align='right' style='white-space:nowrap;".$jel_size2."'><b>".$h_polaritasa[$hsc]."</b></td>\n";
				$jellemzes .= "</tr>\n";
				$jellemzes .= "</table>\n";

				$bovebben = "";

				if (strlen($SetHsc['hs_fsize']) == 2) {
					if ($SetHsc['hs_fsize'] < 13 || $SetHsc['hs_fsize'] == 13) {
						$height = 110;
					} else
					if ($SetHsc['hs_fsize'] > 14 && $SetHsc['hs_fsize'] <= 16) {
						$height = 150;
					} else
					if ($SetHsc['hs_fsize'] > 17 && $SetHsc['hs_fsize'] <= 20) {
						$height = 190;
					}
				} else {
					$height = 110;
				}
				if ($tabs == 2 || $tabs == 3) {
					if (strlen($SetHsc['hs_fsize']) == 2) {
						if ($SetHsc['hs_fsize'] < 13 || $SetHsc['hs_fsize'] == 13) {
							$height = 150;
						} else
						if ($SetHsc['hs_fsize'] > 14 && $SetHsc['hs_fsize'] <= 16) {
							$height = 190;
						} else
						if ($SetHsc['hs_fsize'] > 17 && $SetHsc['hs_fsize'] <= 20) {
							$height = 230;
						}
					} else {
						$height = 150;
					}
				}

				echo "<td width='65%' align='center'>";
				echo $img_date."<iframe id='iframe_".$hscope_css[$hsc]."' src='http://www.bltfm.hu/infusions/horoszkop_inf_panel/iframe/scope.php?period=".$hs_hscope."&amp;scope_id=".$hsc."&amp;fsize=".$SetHsc['hs_fsize']."&amp;color=".$SetHsc['hs_color']."&amp;host=".$settings['siteurl']."' style='width:100%;height:100%;margin-top:-8px;' frameborder='0' scrolling='auto'><p>Az n bngszje nem tmogatja az iframe-t.</p></iframe>";
				echo "</td>\n";
				echo "<td width='35%' align='center'>";
				echo $jellemzes.$bovebben;
				echo "</td>\n";

				echo "</tr>\n";

				if ($SetHsc['hs_bux'] == 1) {
					echo "<tr>\n<td align='center' colspan='2'>";
					echo "<div style='display: block; height: 10px; clear: both; visibility: hidden;'></div>\n";
					echo "<a href='".base64_decode($bux)."' target='_blank'><img src='".HSC_IMG."banner8.gif' width='468' height='60' alt='' /></a>";
					echo "</td>\n</tr>\n";
				}

				echo "<tr>\n<td align='center' colspan='2'>";
				echo "<div style='width:100%;float:left;'>\n";
				echo "<div style='float:right;'>".BltfmCopyHsc()."</div>\n";
				echo "</div>\n";
				echo "</td>\n</tr>\n";

				echo "</table>\n";
				echo "</div>\n";

			} else {

				echo "<div style='display: block;' class='scope_table1'>\n";
					if ($SetHsc['hs_bux'] == 1) {
						echo "<div style='display: block; height: 5px; visibility: hidden;'></div>\n";
						echo "<a href='".base64_decode($bux)."' target='_blank'><img src='".HSC_IMG."banner8.gif' width='468' height='60' alt='' /></a>";
					}
					echo "<div style='display: block; height: 5px; visibility: hidden;'></div>\n";
					echo "<div style='float:center;font-weight:bold;'>Ez a rsz csak ".getgroupname($SetHsc['hs_access'])." szmra rhet el.</div>\n";
					echo "<div style='float:right;'>".BltfmCopyHsc()."</div>\n";
				echo "</div>\n";

			}

		} else {

			echo "<div style='display: block;' class='scope_table1'>\n";
				if ($SetHsc['hs_bux'] == 1) {
					echo "<div style='display: block; height: 5px; visibility: hidden;'></div>\n";
					echo "<a href='".base64_decode($bux)."' target='_blank'><img src='".HSC_IMG."banner8.gif' width='468' height='60' alt='' /></a>";
				}
				echo "<div style='display: block; height: 5px; visibility: hidden;'></div>\n";
				echo "<div style='float:center;font-weight:bold;'>Horoszkp jelenleg nem elrhet.</div>\n";
				echo "<div style='float:right;'>".BltfmCopyHsc()."</div>\n";
			echo "</div>\n";

		}

	}

	public function Hscope_popupinterface($hs_hscope, $hsc) {

		global $hscope_css;

		$admin_items = array(
			"horoszkop_popup.php?hscope=1"               => "Napi",
			"horoszkop_popup.php?hscope=2"               => "Heti",
			"horoszkop_popup.php?hscope=3"               => "Szerelmi",
		);

		echo "<div class='container'>\n";
			echo "<ul class='tabs'>\n";
			foreach($admin_items as $href => $title) {
				if (isset($_GET['hscope'])) {
					if ($hsc > 0) {
						$ex_query = explode("&amp;id=", FUSION_QUERY);
						$pos = strpos($href, FUSION_SELF."?".$ex_query[0]);
					} else {
						$pos = strpos($href, FUSION_SELF."?".FUSION_QUERY);
					}
					if ($pos !== false) { $id = "id='selected'"; $class = "current"; } else { $id = ""; $class = ""; }
				}
				echo "<li ".$id." class='tab-link ".$class."'><a href='".$href."&amp;id=".$hsc."#".$hscope_css[$hsc]."' style='text-decoration: none;color: #2d2b2b;'>".$title."</a></li>&nbsp;";
			}
			echo "</ul>\n";

			echo "<div id='tab-1' class='tab-content current'>\n";
				$this->Hscope_menu($hs_hscope, "12");$this->Hscope_popupvisuals("1");
			echo "</div>\n";
			echo "<div id='tab-2' class='tab-content'>\n";
				$this->Hscope_menu($hs_hscope, "12");$this->Hscope_popupvisuals("2");
			echo "</div>\n";
			echo "<div id='tab-3' class='tab-content'>\n";
				$this->Hscope_menu($hs_hscope, "12");$this->Hscope_popupvisuals("3");
			echo "</div>\n";
		echo "</div>\n";

	}

	private function Hscope_menu($tabs, $col="0") {

		global $SetHsc, $hscope_date_d, $hscope_css, $hscope_name, $het_array, $bux;

		echo "<div style='display: block;' class='scope_table'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='100%' border='0'>\n";
		echo "<tr>\n";

		$counter = 0; $columns = ($col==0 ? $SetHsc['hs_menu'] : $col); $menu = 1;
		while ($menu <= count($hscope_date_d)-1) {

			if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }

			$ID = isset($_GET['id']) && isnum($_GET['id']) ? $_GET['id'] : "0";

			if ($menu == 5) {
				$class = "scope_name_menu_leo";
			} else
			if ($menu == 11) {
				$class = "scope_name_menu_aqu";
			} else {
				$class = "scope_name_menu";
			}
			echo "<td align='center'>";
			if (FUSION_SELF == "horoszkop.php") {
				echo "<a class='".($menu == $ID ? "hide_img1" : "hide_img")." ".($columns != 12 ? "scope_img_link" : "scope_img_link2")."' href='".HSC."horoszkop.php?hscope=".$tabs."&amp;id=".$menu."#".$hscope_css[$menu]."' title='".$hscope_name[$menu]."
".$hscope_date_d[$menu]."'>";
				echo "&nbsp;<span class='img_scope ".($menu == $ID ? "col_".$hscope_css[$menu]."" : "".$hscope_css[$menu]."")."'>&nbsp;</span>";
			} else {
				echo "<a class='".($menu == $ID ? "hide_img1" : "hide_img")." ".($columns != 12 ? "scope_img_link" : "scope_img_link2")."' href='".HSC.($SetHsc['hs_popup'] == 0 ? "horoszkop" : "horoszkop_popup").".php?hscope=".$tabs."&amp;id=".$menu."#".$hscope_css[$menu]."' title='".$hscope_name[$menu]."
".$hscope_date_d[$menu]."'
				".($SetHsc['hs_popup'] == 0 ? "" : " onclick=\"NewWindow(this.href,'name','850','".($SetHsc['hs_bux'] == 0 ? "440" : "620")."','yes');return false\"").">";
				echo "&nbsp;<span class='img_scope ".($menu == $ID ? "col_".$hscope_css[$menu]."" : "".$hscope_css[$menu]."")."'>&nbsp;</span>";
			}
			echo "<span class='".$class."'>".$hscope_name[$menu]."</span>";
			echo "</a>";
			echo "</td>\n";

			$menu++; $counter++;

		}

		echo "</tr>\n";
		$honap_ =array(
			"01"=>"janur",
			"02"=>"februr",
			"03"=>"mrcius",
			"04"=>"prilis",
			"05"=>"mjus",
			"06"=>"jnius",
			"07"=>"jlius",
			"08"=>"augusztus",
			"09"=>"szeptember",
			"10"=>"oktber",
			"11"=>"november",
			"12"=>"december"
		);
		$d_date = "";
		$d_date .= "<tr>\n";
		$d_date .= "<td align='center' colspan='".$columns."' width='100%'>";
		$d_date .= "<a class='hide_img1 scope_img_link' href='#' title=''><span class='scope_date_desc_menu_w'>".date("Y.")." ".$honap_[date("m")]." ".date("d.")."</span></a>\n";
		$d_date .= "</td>\n";
		$d_date .= "</tr>\n";

		$w_date = "";
		$w_date .= "<tr>\n";
		$w_date .= "<td align='center' colspan='".$columns."' width='100%'>";
		$w_date .= "<a class='hide_img1 scope_img_link' href='#' title=''><span class='scope_date_desc_menu_w'>".date("Y")." ".$honap_[date("m")]." ".date("d", $het_array[1])."-".date("d.", $het_array[2])."</span></a>\n";
		$w_date .= "</td>\n";
		$w_date .= "</tr>\n";

		$l_date = "";
		$l_date .= "<tr>\n";
		$l_date .= "<td align='center' colspan='".$columns."' width='100%'>";
		$l_date .= "<a class='hide_img1 scope_img_link' href='#' title=''><span class='scope_date_desc_menu_w'>".date("Y.")." ".$honap_[date("m")]." 1-".date("t.")."</span></a>\n";
		$l_date .= "</td>\n";
		$l_date .= "</tr>\n";

		echo ($tabs == 1 ? $d_date : "");
		echo ($tabs == 2 ? $w_date : "");
		echo ($tabs == 3 ? $l_date : "");

		if ($SetHsc['hs_bux'] == 1 && FUSION_SELF != "horoszkop_popup.php") {
			echo "<tr>\n<td align='center' colspan='".$columns."' width='100%'>";
			echo "<div style='display: block; height: 10px; clear: both; visibility: hidden;'></div>\n";
			echo "<a href='".base64_decode($bux)."' target='_blank'><img src='".HSC_IMG."banner8.gif' width='468' height='60' alt='' /></a>";
			echo "</td>\n</tr>\n";
		}

		echo "<tr>\n";
		echo "<td align='center' colspan='".$columns."' width='100%'>";
		echo "<div style='width:100%;float:left;'>\n";
		echo "<div style='float:right;'>".BltfmCopyHsc()."</div>\n";
		echo "</div>\n";
		echo "</td>\n";
		echo "</tr>\n";

		echo "</table>\n";
echo "</div>\n";
		$this->Hscope_up($tabs);

	}

	public function Hscope_cpanel() {

		global $SetHsc;

		echo "<div class='container'>\n";
		echo "<ul class='tabs'>
		<li class='tab-link ".($SetHsc['hs_hscope'] == 1 ? "current" : "")."' data-tab='tab-1'>Napi</li>
		<li class='tab-link ".($SetHsc['hs_hscope'] == 2 ? "current" : "")."' data-tab='tab-2'>Heti</li>
		<li class='tab-link ".($SetHsc['hs_hscope'] == 3 ? "current" : "")."' data-tab='tab-3'>Szerelmi</li>
		</ul>\n";
		echo "<div id='tab-1' class='tab-content ".($SetHsc['hs_hscope'] == 1 ? "current" : "")."'>\n";
			$this->Hscope_menu("1");
		echo "</div>\n";
		echo "<div id='tab-2' class='tab-content ".($SetHsc['hs_hscope'] == 2 ? "current" : "")."'>\n";
			$this->Hscope_menu("2");
		echo "</div>\n";
		echo "<div id='tab-3' class='tab-content ".($SetHsc['hs_hscope'] == 3 ? "current" : "")."'>\n";
			$this->Hscope_menu("3");
		echo "</div>\n";
		echo "</div>\n";

		$hsc_js  = "<script type='text/javascript'>\n";
		$hsc_js .= "/*<![CDATA[*/\n";
		$hsc_js .= "$(document).ready(function(){\n";
		$hsc_js .= "$('ul.tabs li').click(function(){\n";
		$hsc_js .= "var tab_id = $(this).attr('data-tab');\n";
		$hsc_js .= "$('ul.tabs li').removeClass('current');\n";
		$hsc_js .= "$('.tab-content').removeClass('current');\n";
		$hsc_js .= "$(this).addClass('current');\n";
		$hsc_js .= "$(\"#\"+tab_id).addClass('current');\n";
		$hsc_js .= "})\n";
		$hsc_js .= "})\n";
		$hsc_js .= "\n/*]]>*/\n";
		$hsc_js .= "</script>\n";
		add_to_footer($hsc_js);

	}

	private function Hscope_smenu($tabs) {

		global $SetHsc, $hscope_date_d, $hscope_css, $hscope_name, $het_array, $bux, $settings;
		echo "<div style='display: block;' class='scope_table2'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='100%' border='0'>\n";
		echo "<tr>\n";

		$counter = 0; $columns = 3; $menu = 1;
		while ($menu <= count($hscope_date_d)-1) {

			if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }

			$ID = isset($_GET['id']) && isnum($_GET['id']) ? $_GET['id'] : "0";

			if ($menu == 5) {
				$class = "scope_sname_menu_leo";
			} else
			if ($menu == 8) {
				$class = "scope_sname_menu_sco";
			} else
			if ($menu == 11) {
				$class = "scope_sname_menu_sco";
			} else {
				$class = "scope_sname_menu";
			}
			echo "<td align='center'>";
			if (FUSION_SELF == "horoszkop.php") {
				echo "<a class='".($menu == $ID ? "hide_img1" : "hide_img")." scope_img_link' href='".HSC."horoszkop.php?hscope=".$tabs."&amp;id=".$menu."#".$hscope_css[$menu]."' title='".$hscope_name[$menu]."
".$hscope_date_d[$menu]."'>";
				echo "&nbsp;<span class='simg_scope ".($menu == $ID ? "col_s".$hscope_css[$menu]."" : "s".$hscope_css[$menu]."")."'>&nbsp;</span>";
			} else {
				echo "<a class='".($menu == $ID ? "hide_img1" : "hide_img")." scope_img_link' href='".HSC.($SetHsc['hs_popup'] == 0 ? "horoszkop" : "horoszkop_popup").".php?hscope=".$tabs."&amp;id=".$menu."#".$hscope_css[$menu]."' title='".$hscope_name[$menu]."
".$hscope_date_d[$menu]."'
				".($SetHsc['hs_popup'] == 0 ? "" : " onclick=\"NewWindow(this.href,'name','850','".($SetHsc['hs_bux'] == 0 ? "440" : "620")."','yes');return false\"").">";
				echo "&nbsp;<span class='simg_scope ".($menu == $ID ? "col_s".$hscope_css[$menu]."" : "s".$hscope_css[$menu]."")."'>&nbsp;</span>";
			}
			echo "<span class='".$class."'>".$hscope_name[$menu]."</span>";
			echo "</a>";
			echo "</td>\n";

			$menu++; $counter++;

		}

		echo "</tr>\n";
		$honap_ =array(
			"01"=>"janur",
			"02"=>"februr",
			"03"=>"mrcius",
			"04"=>"prilis",
			"05"=>"mjus",
			"06"=>"jnius",
			"07"=>"jlius",
			"08"=>"augusztus",
			"09"=>"szeptember",
			"10"=>"oktber",
			"11"=>"november",
			"12"=>"december"
		);
		$d_date = "";
		$d_date .= "<tr>\n";
		$d_date .= "<td align='center' colspan='".$columns."'>";
		$d_date .= "<a class='hide_img1 scope_img_link' href='#' title=''><span class='scope_date_desc_menu_w'>".date("Y.")." ".$honap_[date("m")]." ".date("d.")."</span></a>\n";
		$d_date .= "</td>\n";
		$d_date .= "</tr>\n";

		$w_date = "";
		$w_date .= "<tr>\n";
		$w_date .= "<td align='center' colspan='".$columns."'>";
		$w_date .= "<a class='hide_img1 scope_img_link' href='#' title=''><span class='scope_date_desc_menu_w'>".date("Y")." ".$honap_[date("m")]." ".date("d", $het_array[1])."-".date("d.", $het_array[2])."</span></a>\n";
		$w_date .= "</td>\n";
		$w_date .= "</tr>\n";

		$l_date = "";
		$l_date .= "<tr>\n";
		$l_date .= "<td align='center' colspan='".$columns."'>";
		$l_date .= "<a class='hide_img1 scope_img_link' href='#' title=''><span class='scope_date_desc_menu_w'>".date("Y.")." ".$honap_[date("m")]." 1-".date("t.")."</span></a>\n";
		$l_date .= "</td>\n";
		$l_date .= "</tr>\n";

		echo ($tabs == 1 ? $d_date : "");
		echo ($tabs == 2 ? $w_date : "");
		echo ($tabs == 3 ? $l_date : "");

		if ($SetHsc['hs_bux'] == 1 && FUSION_SELF != "horoszkop_popup.php") {
			echo "<tr>\n<td align='center' colspan='".$columns."'>";
			echo "<div style='display: block; height: 5px; visibility: hidden;'></div>\n";
			echo "<a href='".base64_decode($bux)."' target='_blank'><img src='".HSC_IMG."banner8.gif' width='150' height='20' alt='' /></a>";
			echo "</td>\n</tr>\n";
		}

		echo "<tr>\n";
		echo "<td align='center' colspan='".$columns."'>";
		echo "<div style='display: block; height: 3px; visibility: hidden;'></div>\n";
		echo BltfmCopyHsc();
		echo "<div style='display: block; height: 2px; visibility: hidden;'></div>\n";
		echo "</td>\n";
		echo "</tr>\n";




		echo "</table>\n";
		echo "</div>\n";

		$centerp = dbarray(dbquery("SELECT panel_status FROM ".DB_PANELS." WHERE panel_filename = 'horoszkop_inf_panel' "));
		$sidep = dbarray(dbquery("SELECT panel_status FROM ".DB_PANELS." WHERE panel_filename = 'horoszkop_inf_side_panel' "));

			if ($settings['opening_page'] != FUSION_SELF) {
				$this->Hscope_up($tabs);
			}


	}

	public function Hscope_spanel() {

		global $SetHsc;

		echo "<div class='container2'>\n";
		echo "<ul class='tabs2'>
		<li class='tab-link ".($SetHsc['hs_hscope'] == 1 ? "current2" : "")."' data-tab='tab-4'>Napi</li>
		<li class='tab-link ".($SetHsc['hs_hscope'] == 2 ? "current2" : "")."' data-tab='tab-5'>Heti</li>
		<li class='tab-link ".($SetHsc['hs_hscope'] == 3 ? "current2" : "")."' data-tab='tab-6'>Szerelmi</li>
		</ul>\n";
		echo "<div id='tab-4' class='tab-content ".($SetHsc['hs_hscope'] == 1 ? "current2" : "")."'>\n";
			$this->Hscope_smenu("1");
		echo "</div>\n";
		echo "<div id='tab-5' class='tab-content ".($SetHsc['hs_hscope'] == 2 ? "current2" : "")."'>\n";
			$this->Hscope_smenu("2");
		echo "</div>\n";
		echo "<div id='tab-6' class='tab-content ".($SetHsc['hs_hscope'] == 3 ? "current2" : "")."'>\n";
			$this->Hscope_smenu("3");
		echo "</div>\n";
		echo "</div>\n";

		$hsc_js  = "<script type='text/javascript'>\n";
		$hsc_js .= "/*<![CDATA[*/\n";
		$hsc_js .= "$(document).ready(function(){\n";
		$hsc_js .= "$('ul.tabs2 li').click(function(){\n";
		$hsc_js .= "var tab_id = $(this).attr('data-tab');\n";
		$hsc_js .= "$('ul.tabs2 li').removeClass('current2');\n";
		$hsc_js .= "$('.tab-content').removeClass('current2');\n";
		$hsc_js .= "$(this).addClass('current2');\n";
		$hsc_js .= "$(\"#\"+tab_id).addClass('current2');\n";
		$hsc_js .= "})\n";
		$hsc_js .= "})\n";
		$hsc_js .= "\n/*]]>*/\n";
		$hsc_js .= "</script>\n";
		add_to_footer($hsc_js);

	}

}

?>