<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: updates.class.php
| Title: Horoszkp Inf
| Version: 1.2.0
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

class Updates {

	public function up($url) {
		global $settings;
		if (ini_get('allow_url_fopen') == true) {
			if (function_exists('file_get_contents')) {
				return $this->load_fopen($url);
			} else
			if (!function_exists('file_get_contents')) {
				if (function_exists('fsockopen')) {
					return $this->verzio($url);
				} else {
					return false;
				}
			}
		} else if (function_exists('curl_init')) {
			$pos = strpos($settings['siteurl'], "atw");
			if ($pos !== false) {
				return false;
			} else {
				return $this->load_curl($url);
			}
		} else {
			return false;
		}
	}

	private function load_fopen($url) {
		$result = file_get_contents($url);
		return $result;
	}

	private function load_curl($url) {
		$Lcurl = curl_init($url);
		curl_setopt($Lcurl, CURLOPT_RETURNTRANSFER, TRUE);
		$result = curl_exec($Lcurl);
		curl_close($Lcurl);
		return $result;
	}

	private function verzio($url) {
		$url_p = @parse_url($url);
		$host = $url_p['host'];
		$port = isset($url_p['port']) ? $url_p['port'] : 80;

		$fp = @fsockopen($url_p['host'], $port, $errno, $errstr, 5);
		if(!$fp) return false;

		@fputs($fp, 'GET '.$url_p['path'].' HTTP/1.1'.chr(10));
		@fputs($fp, 'HOST: '.$url_p['host'].chr(10));
		@fputs($fp, 'Connection: close'.chr(10).chr(10));

		$response = @fgets($fp, 1024);
		$content = @fread($fp,1024);
		$content = preg_replace("#(.*?)Nv:(.*?)$#is","$2",$content);
		@fclose ($fp);

		$content = preg_replace("/X-Pad: avoid browser bug/si", "", $content);

		if (preg_match("#404#",$response)) return false;
		else return trim($content);
	}

};

$Updates = new Updates;

?>