<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: licenc.php
| Title: Horoszkp Inf
| Version: 1.2.0
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../../maincore.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once THEMES."templates/admin_header.php";

if (!iMEMBER) {redirect("index.php");}

if (!checkrights("CPOE") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("index.php"); }

include_once INFUSIONS."horoszkop_inf_panel/infusion_db.php";

require_once HSC_INC."set.php";
require_once HSC_INC."copy.php";


if (file_exists(HSC."locale/".$settings['locale'].".php")) {
	include HSC."locale/".$settings['locale'].".php";
} else {
	include HSC."locale/Hungarian.php";
}

if (ini_get('allow_url_fopen') == true) {
	$allow_url_fopen = "Van allow_url_fopen";
} else {
	$allow_url_fopen = "Nincs allow_url_fopen";
}


if (!empty($_POST['accept_licenc'])) {

	if ($ConHsc['info'] == '0') {
		require_once INCLUDES."sendmail_include.php";
		$uzenet = "".$settings['siteusername']." hasznlatba vette a Horoszkp Inf (".$ConHsc['ver'].") (Hscope01yagw3mu6n0113). ".$allow_url_fopen."
		Az oldal neve ".$settings['sitename'].".
		Elrhetsge: ".$settings['siteurl']."";
		sendemail($settings['siteusername'],"mathias0101@freemail.hu",$settings['siteusername'],$settings['siteemail'],"Horoszkp Inf",$uzenet);
		$query_update = dbquery("UPDATE ".DB_HSC_CON." SET info = '1' ");
	}

	$result = dbquery("UPDATE ".DB_HSC_CON." SET licenc = '1' ");
	redirect(HSC_A."admin.php".$aidlink);

}

if ($ConHsc['licenc'] == 0) {

	opentable("Licensz szerzds");

		echo "<div style='text-align: center;'>\n";
			require_once HSC_INC."licenc_.php";
		echo "</div>\n";

		echo "<form action='".FUSION_SELF.$aidlink."' method='post'>\n";
			echo "<div style='text-align: center;'>\n";
				echo "<input class='button' type='submit' name='accept_licenc' value='Elfogadom' />\n";
			echo "</div>\n";
		echo "</form>\n";

	closetable();

}

BltfmLicencHsc();
closetable();

require_once THEMES."templates/footer.php";

?>