<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Title: Horoszkp Inf
| Version: 1.2.0
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."horoszkop_inf_panel/infusion_db.php";


if (file_exists(INFUSIONS."horoszkop_inf_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."horoszkop_inf_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."horoszkop_inf_panel/locale/Hungarian.php";
}


$inf_title = $locale['inf_00'];
$inf_description = $locale['inf_01'];
$inf_version = "1.2.0";
$inf_developer = $locale['inf_03'];
$inf_email = $locale['inf_04'];
$inf_weburl = $locale['inf_05'];

$inf_folder = "horoszkop_inf_panel";
$inf_side_folder = "horoszkop_inf_side_panel";

$inf_newtable[1] = DB_HSC_SET." (
		hs_id mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
		hs_active tinyint(1) unsigned NOT NULL default '1',
		hs_hscope tinyint(1) unsigned NOT NULL default '1',
		hs_color varchar(6) NOT NULL default '555555',
		hs_fsize tinyint(2) unsigned NOT NULL default '13',
		hs_access tinyint(3) unsigned NOT NULL default '0',
		hs_menu tinyint(2) unsigned NOT NULL default '12',
		hs_img tinyint(1) unsigned NOT NULL default '0',
		hs_view INT(10) unsigned NOT NULL default '0',
		hs_up INT(10) unsigned NOT NULL default '0',
		hs_up_w INT(10) unsigned NOT NULL default '0',
		hs_up_l INT(10) unsigned NOT NULL default '0',
		hs_bux tinyint(1) unsigned NOT NULL default '1',
		hs_popup tinyint(1) unsigned NOT NULL default '1',
		hs_pu tinyint(1) unsigned NOT NULL default '1',
		PRIMARY KEY (hs_id)
	) ENGINE=MyISAM;";

$inf_newtable[2] = DB_HSC_CON." (
		hc_id mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
		licenc tinyint(1) unsigned NOT NULL default '0',
		info tinyint(1) unsigned NOT NULL default '0',
		ver varchar(5) default '1.2.0',
		PRIMARY KEY (hc_id)
	) ENGINE=MyISAM;";


$inf_insertdbrow[1] = DB_HSC_SET." (hs_active, hs_hscope, hs_color, hs_fsize, hs_access, hs_menu, hs_img, hs_view, hs_up, hs_up_w, hs_bux, hs_popup, hs_pu) VALUES ('1', '1', '555555', '13', '0', '12', '0', '0', '0', '0', '1', '1', '1')";

$inf_insertdbrow[2] = DB_HSC_CON." (licenc, info, ver) VALUES ('0', '0', '1.2.0')";

$inf_insertdbrow[3] = DB_PANELS." (panel_name, panel_filename, panel_url_list, panel_restriction, panel_content, panel_side, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['inf_00a']."', '".$inf_folder."', '', '1', '', '2', 'file', '0', '0', '1')";

$inf_insertdbrow[4] = DB_PANELS." (panel_name, panel_filename, panel_url_list, panel_restriction, panel_content, panel_side, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['inf_00b']."', '".$inf_side_folder."', '/infusions/horoszkop_inf_panel/horoszkop.php\r\n/infusions/horoszkop_inf_panel/horoszkop.php?hscope=1\r\n/infusions/horoszkop_inf_panel/horoszkop.php?hscope=2\r\n/infusions/horoszkop_inf_panel/horoszkop.php?hscope=3\r\n', '1', '', '4', 'file', '0', '0', '1')";


$inf_droptable[1] = DB_HSC_SET;
$inf_droptable[2] = DB_HSC_CON;

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='".$inf_folder."'";
$inf_deldbrow[2] = DB_PANELS." WHERE panel_filename='".$inf_side_folder."'";

$inf_adminpanel[1] = array(
	"title" => $locale['inf_00'],
	"image" => "horoszkop.png",
	"panel" => "admin/admin.php",
	"rights" => "CPOE"
);

$inf_sitelink[1] = array(
	"title" => "Horoszkp",
	"url" => "horoszkop.php",
	"visibility" => "0"
);

?>